Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

update gemspect and gem dependencies

  • Loading branch information...
commit 70d114cb8de7f166c724272a809d0e0b6d0552e8 1 parent 89bea57
@robinbortlik authored
Showing with 26 additions and 55 deletions.
  1. +7 −6 Gemfile
  2. +19 −49 validates_overlap.gemspec
View
13 Gemfile
@@ -1,13 +1,14 @@
source "http://rubygems.org"
gem "rails", ">= 3.0.0"
-gem "sqlite3"
-
-gem "rspec-rails", ">= 2.0.0.beta"
-gem "factory_girl_rails"
-gem "bundler", ">= 1.0.0"
-gem "jeweler", ">= 1.5.2"
+group :test, :development do
+ gem "sqlite3"
+ gem "rspec-rails", ">= 2.0.0.beta"
+ gem "factory_girl_rails"
+ gem "bundler", ">= 1.0.0"
+ gem "jeweler", ">= 1.5.2"
+end
# To use debugger (ruby-debug for Ruby 1.8.7+, ruby-debug19 for Ruby 1.9.2+)
# gem 'ruby-debug'
#gem 'ruby-debug19'
View
68 validates_overlap.gemspec
@@ -4,14 +4,14 @@
# -*- encoding: utf-8 -*-
Gem::Specification.new do |s|
- s.name = %q{validates_overlap}
+ s.name = "validates_overlap"
s.version = "0.0.3"
s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
- s.authors = [%q{Robin Bortlik}]
- s.date = %q{2011-09-29}
- s.description = %q{It can be useful when you you are developing some app where you will work with meetings, events etc.}
- s.email = %q{robinbortlik@gmail.com}
+ s.authors = ["Robin Bortlik"]
+ s.date = "2012-04-25"
+ s.description = "It can be useful when you you are developing some app where you will work with meetings, events etc."
+ s.email = "robinbortlik@gmail.com"
s.extra_rdoc_files = [
"README.rdoc"
]
@@ -70,52 +70,22 @@ Gem::Specification.new do |s|
"spec/spec_helper.rb",
"validates_overlap.gemspec"
]
- s.homepage = %q{http://github.com/robinbortlik/validates_overlap}
- s.licenses = [%q{MIT}]
- s.require_paths = [%q{lib}]
- s.rubygems_version = %q{1.8.6}
- s.summary = %q{This gem helps validate records with time overlap.}
- s.test_files = [
- "spec/dummy/app/controllers/application_controller.rb",
- "spec/dummy/app/helpers/application_helper.rb",
- "spec/dummy/app/models/meeting.rb",
- "spec/dummy/app/models/user.rb",
- "spec/dummy/app/models/user_meeting.rb",
- "spec/dummy/config/application.rb",
- "spec/dummy/config/boot.rb",
- "spec/dummy/config/environment.rb",
- "spec/dummy/config/environments/development.rb",
- "spec/dummy/config/environments/production.rb",
- "spec/dummy/config/environments/test.rb",
- "spec/dummy/config/initializers/backtrace_silencers.rb",
- "spec/dummy/config/initializers/inflections.rb",
- "spec/dummy/config/initializers/mime_types.rb",
- "spec/dummy/config/initializers/secret_token.rb",
- "spec/dummy/config/initializers/session_store.rb",
- "spec/dummy/config/routes.rb",
- "spec/dummy/db/migrate/20110406082020_create_meetings.rb",
- "spec/dummy/db/migrate/20110406082053_create_users.rb",
- "spec/dummy/db/migrate/20110407060725_create_user_meetings.rb",
- "spec/dummy/db/schema.rb",
- "spec/dummy/spec/factories/meeting.rb",
- "spec/dummy/spec/factories/user.rb",
- "spec/dummy/spec/factories/user_meeting.rb",
- "spec/dummy/spec/models/meeting_spec.rb",
- "spec/dummy/spec/models/user_meeting_spec.rb",
- "spec/dummy/spec/models/user_spec.rb",
- "spec/spec_helper.rb"
- ]
+ s.homepage = "http://github.com/robinbortlik/validates_overlap"
+ s.licenses = ["MIT"]
+ s.require_paths = ["lib"]
+ s.rubygems_version = "1.8.17"
+ s.summary = "This gem helps validate records with time overlap."
if s.respond_to? :specification_version then
s.specification_version = 3
if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
s.add_runtime_dependency(%q<rails>, [">= 3.0.0"])
- s.add_runtime_dependency(%q<sqlite3>, [">= 0"])
- s.add_runtime_dependency(%q<rspec-rails>, [">= 2.0.0.beta"])
- s.add_runtime_dependency(%q<factory_girl_rails>, [">= 0"])
- s.add_runtime_dependency(%q<bundler>, ["~> 1.0.0"])
- s.add_runtime_dependency(%q<jeweler>, ["~> 1.5.2"])
+ s.add_development_dependency(%q<sqlite3>, [">= 0"])
+ s.add_development_dependency(%q<rspec-rails>, [">= 2.0.0.beta"])
+ s.add_development_dependency(%q<factory_girl_rails>, [">= 0"])
+ s.add_development_dependency(%q<bundler>, [">= 1.0.0"])
+ s.add_development_dependency(%q<jeweler>, [">= 1.5.2"])
s.add_runtime_dependency(%q<rails>, [">= 3.0.0"])
s.add_development_dependency(%q<rspec-rails>, [">= 0"])
s.add_development_dependency(%q<factory_girl_rails>, [">= 0"])
@@ -124,8 +94,8 @@ Gem::Specification.new do |s|
s.add_dependency(%q<sqlite3>, [">= 0"])
s.add_dependency(%q<rspec-rails>, [">= 2.0.0.beta"])
s.add_dependency(%q<factory_girl_rails>, [">= 0"])
- s.add_dependency(%q<bundler>, ["~> 1.0.0"])
- s.add_dependency(%q<jeweler>, ["~> 1.5.2"])
+ s.add_dependency(%q<bundler>, [">= 1.0.0"])
+ s.add_dependency(%q<jeweler>, [">= 1.5.2"])
s.add_dependency(%q<rails>, [">= 3.0.0"])
s.add_dependency(%q<rspec-rails>, [">= 0"])
s.add_dependency(%q<factory_girl_rails>, [">= 0"])
@@ -135,8 +105,8 @@ Gem::Specification.new do |s|
s.add_dependency(%q<sqlite3>, [">= 0"])
s.add_dependency(%q<rspec-rails>, [">= 2.0.0.beta"])
s.add_dependency(%q<factory_girl_rails>, [">= 0"])
- s.add_dependency(%q<bundler>, ["~> 1.0.0"])
- s.add_dependency(%q<jeweler>, ["~> 1.5.2"])
+ s.add_dependency(%q<bundler>, [">= 1.0.0"])
+ s.add_dependency(%q<jeweler>, [">= 1.5.2"])
s.add_dependency(%q<rails>, [">= 3.0.0"])
s.add_dependency(%q<rspec-rails>, [">= 0"])
s.add_dependency(%q<factory_girl_rails>, [">= 0"])
Please sign in to comment.
Something went wrong with that request. Please try again.